%define _libdir64 %{_prefix}/lib64

Name:      iso-codes
Summary:   ISO code lists and translations
Version:   3.57
Release:   1
License:   LGPLv2+
Group:     System Environment/Base
URL:       http://alioth.debian.org/projects/pkg-isocodes/
Source0:   http://pkg-isocodes.alioth.debian.org/downloads/%{name}-%{version}.tar.bz2
Patch0:    %{name}-%{version}-aix.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

BuildRequires: gettext-progs >= 0.17-2
# for /opt/freeware/share/xml
Requires:  xml-common

%description
This package provides the ISO 639 Language code list, the ISO 4217
Currency code list, the ISO 3166 Territory code list, and ISO 3166-2
sub-territory lists, and all their translations in gettext format.


%package devel
Summary: Files for development using %{name}
Group:  Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the pkg-config files for development
when building programs that use %{name}.


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

mkdir -p ${RPM_BUILD_ROOT}%{_libdir64}/pkgconfig
cp ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig/* ${RPM_BUILD_ROOT}%{_libdir64}/pkgconfig/
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir64}/pkgconfig/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc ChangeLog README LICENSE
%dir %{_datadir}/xml/iso-codes
%{_datadir}/xml/iso-codes/*.xml


%files devel
%{_libdir}/pkgconfig/*.pc
%{_libdir64}/pkgconfig/*.pc


%changelog
* Tue Nov 11 2014 Michael Perzl <michael@perzl.org> - 3.57-1
- updated to version 3.57

* Tue Nov 13 2012 Michael Perzl <michael@perzl.org> - 3.34-1
- first version for AIX V5.1 and higher
